com.brightcove.cast

## Class GoogleCastEventType

- java.lang.Object
- - com.brightcove.cast.GoogleCastEventType

-     public class GoogleCastEventType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADD_MEDIA_INFO` Indicates that the `MediaInfo` should be added to the queue for cast playback.
    `static java.lang.String` | `ADD_MEDIA_QUEUE_ITEM` Indicates that the `MediaQueueItem` should be added to the queue for cast playback.
    `static java.lang.String` | `CAST_CONNECTION_RECOVERED` Deprecated. No longer used to unset the notifications.
    `static java.lang.String` | `CAST_CONNECTION_SUSPENDED` Deprecated.
    `static java.lang.String` | `CAST_SESSION_ENDED` Indicates that the Cast session has ended.
    `static java.lang.String` | `CAST_SESSION_STARTED` Indicates that the Cast session has started.
    `static java.lang.String` | `DESTROY_CAST` Indicates that the cast plugin should destroy its cast instances.
    `static java.lang.String` | `LOAD_MEDIA_INFO` Indicates that the `MediaInfo` should be loaded for cast playback.
    `static java.lang.String` | `LOAD_MEDIA_QUEUE_ITEM` Indicates that the `MediaQueueItem` should be loaded for cast playback.
    `static java.lang.String` | `SET_CAST_BUTTON` Deprecated. No longer used to set the Cast button. For more information on how to set the Cast button in your application, please visit: MediaRouteActionProvider reference
    `static java.lang.String` | `SET_CAST_TARGET_ACTIVITY` Indicates a chosen cast remote player activity outside of the default.
    `static java.lang.String` | `SET_MEDIA_METADATA` Indicates that the media metadata should be set for cast playback.
    `static java.lang.String` | `SET_MINI_CONTROLLER` Deprecated. No longer used to set the MiniController. For more information on how to set the MiniController in your application, please visit: MiniControllerFragment reference
    `static java.lang.String` | `SET_NOTIFICATIONS` Deprecated. No longer used to set the notifications.
    `static java.lang.String` | `UNSET_NOTIFICATIONS` Deprecated. No longer used to unset the notifications.
    `static java.lang.String` | `UPDATE_CAST_CONTEXT` Indicates that the parent activity context in the cast plugin needs to be updated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoogleCastEventType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SET_CAST_BUTTON

          @Deprecated
          public static final java.lang.String SET_CAST_BUTTON

      Deprecated. No longer used to set the Cast button. For more information on how to set the Cast button in your application, please visit: MediaRouteActionProvider reference
      See Also:
        Constant Field Values

    - #### SET_MINI_CONTROLLER

          @Deprecated
          public static final java.lang.String SET_MINI_CONTROLLER

      Deprecated. No longer used to set the MiniController. For more information on how to set the MiniController in your application, please visit: MiniControllerFragment reference
      See Also:
        Constant Field Values

    - #### SET_NOTIFICATIONS

          @Deprecated
          public static final java.lang.String SET_NOTIFICATIONS

      Deprecated. No longer used to set the notifications.
      See Also:
        Constant Field Values

    - #### UNSET_NOTIFICATIONS

          @Deprecated
          public static final java.lang.String UNSET_NOTIFICATIONS

      Deprecated. No longer used to unset the notifications.
      See Also:
        Constant Field Values

    - #### CAST_CONNECTION_SUSPENDED

          @Deprecated
          public static final java.lang.String CAST_CONNECTION_SUSPENDED

      Deprecated.
      /** @deprecated No longer used to unset the notifications.
      See Also:
        Constant Field Values

    - #### CAST_CONNECTION_RECOVERED

          @Deprecated
          public static final java.lang.String CAST_CONNECTION_RECOVERED

      Deprecated. No longer used to unset the notifications.
      See Also:
        Constant Field Values

    - #### SET_MEDIA_METADATA

          public static final java.lang.String SET_MEDIA_METADATA

      Indicates that the media metadata should be set for cast playback.
      See Also:
        Constant Field Values

    - #### LOAD_MEDIA_INFO

          public static final java.lang.String LOAD_MEDIA_INFO

      Indicates that the `MediaInfo` should be loaded for cast playback.
      See Also:
        Constant Field Values

    - #### ADD_MEDIA_INFO

          public static final java.lang.String ADD_MEDIA_INFO

      Indicates that the `MediaInfo` should be added to the queue for cast playback.
      See Also:
        Constant Field Values

    - #### LOAD_MEDIA_QUEUE_ITEM

          public static final java.lang.String LOAD_MEDIA_QUEUE_ITEM

      Indicates that the `MediaQueueItem` should be loaded for cast playback.
      See Also:
        Constant Field Values

    - #### ADD_MEDIA_QUEUE_ITEM

          public static final java.lang.String ADD_MEDIA_QUEUE_ITEM

      Indicates that the `MediaQueueItem` should be added to the queue for cast playback.
      See Also:
        Constant Field Values

    - #### UPDATE_CAST_CONTEXT

          public static final java.lang.String UPDATE_CAST_CONTEXT

      Indicates that the parent activity context in the cast plugin needs to be updated.
      See Also:
        Constant Field Values

    - #### DESTROY_CAST

          public static final java.lang.String DESTROY_CAST

      Indicates that the cast plugin should destroy its cast instances.
      See Also:
        Constant Field Values

    - #### CAST_SESSION_STARTED

          public static final java.lang.String CAST_SESSION_STARTED

      Indicates that the Cast session has started.
      See Also:
        Constant Field Values

    - #### CAST_SESSION_ENDED

          public static final java.lang.String CAST_SESSION_ENDED

      Indicates that the Cast session has ended.
      See Also:
        Constant Field Values

    - #### SET_CAST_TARGET_ACTIVITY

          public static final java.lang.String SET_CAST_TARGET_ACTIVITY

      Indicates a chosen cast remote player activity outside of the default.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GoogleCastEventType

          public GoogleCastEventType()